al_fixtof(3)

NAME

al_fixtof - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    double al_fixtof(al_fixed x);

DESCRIPTION

Converts fixed point to floating point.

Example:

    float result;
    /* This will put 33.33333 into `result'. */
    result = al_fixtof(al_itofix(100) / 3);
    /* This will put 16.66666 into `result'. */
    result = al_fixtof(al_itofix(100) / 6);

SEE ALSO

al_ftofix(3), al_itofix(3), al_fixtoi(3).